<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=600, user-scalable=no">
	<title>Document</title>
	<style type="text/css">
		#contenedor{
			display: grid;
			grid-template-columns: repeat(4, 1fr);
			grid-template-rows:repeat(12,1fr);
			color: white;
		}
		#contenedor>div:nth-child(1){
			height: 1fr;
			background-color: black;
			/*grid-row-start, grid-column-start, grid-row-end, -ms-grid-column-end: em;
			grid-column-end: em;*/
			grid-area: 1/1/2/2;
		}
			#contenedor>div:nth-child(2){
			height: 1fr;
			background-color: red;
			grid-area: 1/2/2/5;
		}
			#contenedor>div:nth-child(3){
			background-color: blue;
			grid-area: 2/1/7/5;
		}
			#contenedor>div:nth-child(4){
			background-color: grey;
			grid-area: 7/1/11/3;
		}
			#contenedor>div:nth-child(5){
			background-color: white;
			color: black;
			grid-area: 7/3/11/4;
		}
			#contenedor>div:nth-child(6){
			background-color: aqua;
			grid-area: 7/4/9/5;
		}
			#contenedor>div:nth-child(7){
			background-color: lime;
			grid-area: 9/4/11/5;
		}
			#contenedor>div:nth-child(8){
			background-color: gold;
			grid-area: 11/1/13/5;
		}
			@media(max-width: 800px){
				#contenedor>div:nth-child(1){
					height: 1fr;
					background-color: black;
					/*grid-row-start, grid-column-start, grid-row-end, -ms-grid-column-end: em;
					grid-column-end: em;*/
					grid-area: 1/1/2/5;
				}
				#contenedor>div:nth-child(3){
					background-color: blue;
					grid-area: 2/1/6/5;
				}
					#contenedor>div:nth-child(2){
					height: 1fr;
					background-color: red;
					grid-area: 6/1/13/2;
				}
					
					#contenedor>div:nth-child(4){
					background-color: grey;
					grid-area: 6/2/9/5;
				}
					#contenedor>div:nth-child(5){
					background-color: white;
					color: black;
					display: none;
				}
					#contenedor>div:nth-child(6){
					background-color: aqua;
					grid-area: 11/4/13/5;
				}
					#contenedor>div:nth-child(7){
					background-color: lime;
					grid-area: 11/2/13/4;
				}
					#contenedor>div:nth-child(8){
					background-color: gold;
					grid-area: 9/2/11/5;
				}
			}
			@media(max-width: 600px){
				#contenedor{
			display: grid;
			grid-template-columns: repeat(4, 1fr);
			grid-template-rows:repeat(16,1fr);
			color: white;
		}
				#contenedor>div:nth-child(1){
					height: 1fr;
					background-color: black;
					/*grid-row-start, grid-column-start, grid-row-end, -ms-grid-column-end: em;
					grid-column-end: em;*/
					grid-area: 1/1/2/5;
				}
				#contenedor>div:nth-child(3){
					background-color: blue;
					grid-area: 3/1/7/5;
				}
					#contenedor>div:nth-child(2){
					height: 1fr;
					background-color: red;
					grid-area: 2/1/3/5;
				}
					
					#contenedor>div:nth-child(4){
					background-color: grey;
					grid-area: 7/1/11/5;
				}
					#contenedor>div:nth-child(5){
					background-color: white;
					color: black;
					display: none;
				}
					#contenedor>div:nth-child(6){
					background-color: aqua;
					grid-area: 15/1/17/5;
				}
					#contenedor>div:nth-child(7){
					background-color: lime;
					grid-area: 13/1/15/5;
				}
					#contenedor>div:nth-child(8){
					background-color: gold;
					grid-area: 11/1/13/5;
				}
			}
	</style>
</head>
<body>
	<div id="contenedor">
		<div>Header</div>
		<div>Menu</div>
		<div>Hero</div>
		<div>Main</div>
		<div>Blanco</div>
		<div>Image</div>
		<div>Extra</div>
		<div>Banner</div>	
	</div>	
</body>
</html>